HaruPage::createLinkAnnotation
HaruPage::createURLAnnotation
HaruPage
PHP Manual

# HaruPage::createTextAnnotation

(PECL haru >= 0.0.1)

HaruPage::createTextAnnotation — Create new HaruAnnotation instance

### Description

object HaruPage::createTextAnnotation ( array `$rectangle` , string `$text` [, object `$encoder` ] )

Creates a new HaruAnnotation instance.

### Parameters

`rectangle`

  An array with 4 coordinates of the annotation area.

`text`

  The text to be displayed.

`encoder`

  Optional HaruEncoder instance.

### Return Values

Returns a new HaruAnnotation instance.

### Errors/Exceptions

Throws a HaruException on error.

HaruPage::createLinkAnnotation
HaruPage::createURLAnnotation
HaruPage
PHP Manual